Loading...
Searching...
No Matches
field_expr_v2_nonlinear_terminal_field_dg_rep< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::field_expr_v2_nonlinear_terminal_field_dg_rep< T, M >

Definition at line 1123 of file field_expr_terminal.h.

## Public Types

typedef geo_element::size_type | size_type
typedef M | memory_type
typedef undeterminated_basic< T > | result_type
typedef result_type | value_type
typedef T | scalar_type
typedef float_traits< T >::type | float_type

## Public Member Functions

template<class Expr , class Sfinae = typename std::enable_if<details::has_field_rdof_interface<Expr>::value>::type>
| field_expr_v2_nonlinear_terminal_field_dg_rep (const Expr &expr, const float_type &c0, const float_type &c1)
space_constant::valued_type | valued_tag () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
template<class Value >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value) const
template<class Value >
bool | valued_check () const
template<class Result >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, 1 > &value) const

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::last_valued

## Protected Attributes

field_expr_v2_nonlinear_terminal_field< T, M, details::differentiate_option::none > | _expr0
field_expr_v2_nonlinear_terminal_field< T, M, details::differentiate_option::none > | _expr1
float_type | _c0
float_type | _c1

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef geo_element::size_type size_type

Definition at line 1127 of file field_expr_terminal.h.

## memory_type

template<class T , class M >

typedef M memory_type

Definition at line 1128 of file field_expr_terminal.h.

## result_type

template<class T , class M >

typedef undeterminated_basic<T> result_type

Definition at line 1129 of file field_expr_terminal.h.

## value_type

template<class T , class M >

typedef result_type value_type

Definition at line 1130 of file field_expr_terminal.h.

## scalar_type

template<class T , class M >

typedef T scalar_type

Definition at line 1131 of file field_expr_terminal.h.

## float_type

template<class T , class M >

typedef float_traits<T>::type float_type

Definition at line 1132 of file field_expr_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_nonlinear_terminal_field_dg_rep()

template<class T , class M >
template<class Expr , class Sfinae = typename std::enable_if<details::has_field_rdof_interface<Expr>::value>::type>

field_expr_v2_nonlinear_terminal_field_dg_rep | ( | const Expr & | expr,
|  | const float_type & | c0,
|  | const float_type & | c1
| ) |  |

explicit

Definition at line 1138 of file field_expr_terminal.h.

## Member Function Documentation

## valued_tag()

template<class T , class M >

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 1147 of file field_expr_terminal.h.

## initialize() [1/2]

template<class T , class M >

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 500 of file field_expr_terminal.cc.

## initialize() [2/2]

template<class T , class M >

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 509 of file field_expr_terminal.cc.

## evaluate() [1/2]

template<class T , class M >
template<class Value >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | value
| ) |  | const

## valued_check()

template<class T , class M >
template<class Value >

bool valued_check | ( |  | ) | const

Definition at line 1165 of file field_expr_terminal.h.

## evaluate() [2/2]

template<class T , class M >
template<class Result >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Result, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 520 of file field_expr_terminal.cc.

## Member Data Documentation

## valued_hint

template<class T , class M >

const space_constant::valued_type valued_hint = space_constant::last_valued

static

Definition at line 1145 of file field_expr_terminal.h.

## _expr0

template<class T , class M >

field_expr_v2_nonlinear_terminal_field<T,M,details::differentiate_option::none> _expr0

protected

Definition at line 1176 of file field_expr_terminal.h.

## _expr1

template<class T , class M >

field_expr_v2_nonlinear_terminal_field<T,M,details::differentiate_option::none> _expr1

protected

Definition at line 1176 of file field_expr_terminal.h.

## _c0

template<class T , class M >

float_type _c0

protected

Definition at line 1177 of file field_expr_terminal.h.

## _c1

template<class T , class M >

float_type _c1

protected

Definition at line 1177 of file field_expr_terminal.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_expr_terminal.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_expr_terminal.cc